!
!*****************************************************
!RETURN CODES
!*****************************************************
!
!success
!========================
GR_OK                                           EQUATE(0)
GR_BAD_QUALITY                                  EQUATE(0)
GR_MEDIUM_QUALITY                               EQUATE(1)
GR_HIGH_QUALITY                                 EQUATE(2)
GR_MATCH                                        EQUATE(1)
GR_NOT_MATCH                                    EQUATE(0)
GR_DEFAULT_USED                                 EQUATE(3)
!
!initialization errors codes
!========================
GR_ERROR_INITIALIZE_FAIL                        EQUATE(-1)
GR_ERROR_NOT_INITIALIZED                        EQUATE(-2)
GR_ERROR_FAIL_LICENSE_READ                      EQUATE(-3)
GR_ERROR_NO_VALID_LICENSE                       EQUATE(-4)
GR_ERROR_NULL_ARGUMENT                          EQUATE(-5)
GR_ERROR_FAIL                                   EQUATE(-6)
GR_ERROR_ALLOC                                  EQUATE(-7)
GR_ERROR_PARAMETERS                             EQUATE(-8)
!
!extract and match errors codes
!========================
GR_ERROR_WRONG_USE                              EQUATE(-107)
GR_ERROR_EXTRACT                                EQUATE(-108)
GR_ERROR_SIZE_OFF_RANGE                         EQUATE(-109)
GR_ERROR_RES_OFF_RANGE                          EQUATE(-110)
GR_ERROR_CONTEXT_NOT_CREATED                    EQUATE(-111)
GR_ERROR_INVALID_CONTEXT                        EQUATE(-112)
GR_ERROR_ERROR                                  EQUATE(-113)
GR_ERROR_NOT_ENOUGH_SPACE                       EQUATE(-114)
!
!capture error codes
!========================
GR_ERROR_CONNECT_SENSOR                         EQUATE(-201)
GR_ERROR_CAPTURING                              EQUATE(-202)
GR_ERROR_CANCEL_CAPTURING                       EQUATE(-203)
GR_ERROR_INVALID_ID_SENSOR                      EQUATE(-204)
GR_ERROR_SENSOR_NOT_CAPTURING                   EQUATE(-205)
GR_ERROR_INVALID_EXT                            EQUATE(-206)
GR_ERROR_INVALID_FILENAME                       EQUATE(-207)
GR_ERROR_INVALID_FILETYPE                       EQUATE(-208)
GR_ERROR_SENSOR                                 EQUATE(-209)
!
!Custom error codes
GR_ERROR_ALREADY_INITIALIZED                    EQUATE(-996)
GR_ERROR_INVALID_TEMPLATE                       EQUATE(-997)
GR_ERROR_INVALID_ID                             EQUATE(-998)
GR_ERROR_CANT_OPEN_BD                           EQUATE(-999)
!
!*****************************************************
!CONSTS
!*****************************************************
!
!file format codes
!========================
GRCAP_IMAGE_FORMAT_BMP                          EQUATE(501)
!
!event values codes
!========================
GR_PLUG                                         EQUATE(21)
GR_UNPLUG                                       EQUATE(20)
GR_FINGER_DOWN                                  EQUATE(11)
GR_FINGER_UP                                    EQUATE(10)
GR_IMAGE                                        EQUATE(30)
!
!image consts
!========================
GR_DEFAULT_RES                                  EQUATE(500)
GR_DEFAULT_DIM                                  EQUATE(500)
GR_MAX_SIZE_TEMPLATE                            EQUATE(10000)
GR_MAX_IMAGE_WIDTH                              EQUATE(1280)
GR_MAX_IMAGE_HEIGHT                             EQUATE(1280)
GR_MAX_RESOLUTION                               EQUATE(1000)    !/*DPI*/
GR_MIN_IMAGE_WIDTH                              EQUATE(50)
GR_MIN_IMAGE_HEIGHT                             EQUATE(50)
GR_MIN_RESOLUTION                               EQUATE(125)     !/*DPI*/
!
!match const
!========================
GR_MAX_THRESHOLD                                EQUATE(200)
GR_MIN_THRESHOLD                                EQUATE(10)
GR_VERYLOW_FRR                                  EQUATE(30)      !/*FAR 1 IN 1000*/
GR_LOW_FRR                                      EQUATE(45)      !/*FAR 1 IN 10000*/
GR_LOW_FAR                                      EQUATE(60)      !/*FAR 1 IN 30000*/
GR_VERYLOW_FAR                                  EQUATE(80)      !/*FAR 1 IN 300000*/
GR_ROT_MIN                                      EQUATE(0)
GR_ROT_MAX                                      EQUATE(180)
!
!context const
!========================
GR_DEFAULT_CONTEXT                              EQUATE(0)
GR_NO_CONTEXT                                   EQUATE(-1)
!
!colors for BiometricDisplay
!========================
GR_IMAGE_NO_COLOR                               EQUATE(01FFFFFFFH)
!
!version constants
!========================
GRFINGER_FULL                                   EQUATE(1)
GRFINGER_LIGHT                                  EQUATE(2)
GRFINGER_FREE                                   EQUATE(3)
!
!
!
!
!
